<template>
    <div class="table-responsive">
        <table class="table" id="currencies-table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Symbol</th>
                <th>Code</th>
                <th>Code Iso</th>
                <th>Rate</th>
                <th colspan="3">Action</th>
            </tr>
            </thead>
            <tbody>
                <currency v-for="currency in currencies" :key="currency.id" :model="currency" :base_url="base_url"></currency>
            </tbody>
        </table>
    </div>
</template>

<script>
    import Currency from './Currency';
	export default {
		props: ['models', 'base_url'],
        data(){
			return {
				currencies: this.models,
            }
        },
        watch: {
			models(newVal){
				this.currencies = newVal
			}
        },
        components: {
			'currency': Currency
        }
	}
</script>

<style scoped>

</style>
